<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/webservices/sb/4.0/AccountService" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/webservices/sb/4.0/AccountService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/webservices/sb/4.0/AccountService">
      <s:element name="SetSsoId">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="accountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ssoId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetSsoIdResponse">
        <s:complexType/>
      </s:element>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="SsoSessionId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SsoId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="MigrateAccountToNewSsoAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPassword" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MigrateAccountToNewSsoAccountResponse">
        <s:complexType/>
      </s:element>
      <s:element name="RequestUserOwnershipTransfer">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ssoId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="applicationId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RequestUserOwnershipTransferResponse">
        <s:complexType/>
      </s:element>
      <s:element name="CreateAccountWithNewPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerAccountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="AccountRoles">
        <s:restriction base="s:string">
          <s:enumeration value="Administrator"/>
          <s:enumeration value="Reseller"/>
          <s:enumeration value="SiteOwner"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="CreateAccountWithNewPlanResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="AccountValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="AccountId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsBuiltIn" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="CreationDate" type="s:dateTime"/>
          <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Email" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="FirstName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="LastName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsLockedOut" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="Role" type="tns:AccountRoles"/>
          <s:element minOccurs="0" maxOccurs="1" name="Profile" type="tns:ProfileValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="PlanId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsChangePasswordAllowed" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SsoId" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ProfileValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Language" type="tns:LanguageValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="Theme" type="tns:ThemeValue"/>
          <s:element minOccurs="1" maxOccurs="1" name="ListSize" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="HideOverviewPage" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="ShowGettingStarted" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="TemplateListSize" type="s:int"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="LanguageValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="LanguageId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="EnglishName" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ThemeValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="ThemeId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="CreateSsoAccountWithNewPlan">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerAccountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ssoId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSsoAccountWithNewPlanResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerAccountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="changePasswordAllowed" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSsoAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerAccountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ssoId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="firstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="lastName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="email" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="role" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="planId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="changePasswordAllowed" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSsoAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByName">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountByNameResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountBySsoId">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ssoId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAccountBySsoIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserAccount" nillable="true" type="tns:AccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="accountIds" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="DeleteAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="DeleteAccountResult" type="tns:ArrayOfServiceDeleteResultOfAccountDeleteStatus"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfServiceDeleteResultOfAccountDeleteStatus">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="ServiceDeleteResultOfAccountDeleteStatus" type="tns:ServiceDeleteResultOfAccountDeleteStatus"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ServiceDeleteResultOfAccountDeleteStatus">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Status" type="tns:AccountDeleteStatus"/>
        </s:sequence>
      </s:complexType>
      <s:simpleType name="AccountDeleteStatus">
        <s:restriction base="s:string">
          <s:enumeration value="Unknown"/>
          <s:enumeration value="Deleted"/>
          <s:enumeration value="NotFound"/>
          <s:enumeration value="BuiltIn"/>
          <s:enumeration value="AccessDenied"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="UpdateAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="accountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newEmail" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newFirstName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="newLastName" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="newRole" type="tns:AccountRoles"/>
            <s:element minOccurs="0" maxOccurs="1" name="newPlanId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="newChangePasswordAllowed" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateAccountResponse">
        <s:complexType/>
      </s:element>
      <s:element name="SetAccountStatus">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="accountIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="1" maxOccurs="1" name="status" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAccountStatusResponse">
        <s:complexType/>
      </s:element>
      <s:element name="FindAccount">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="startPos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortField" type="tns:AccountFields"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="0" maxOccurs="1" name="roleFilter" type="tns:ArrayOfAccountRoles"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="AccountFields">
        <s:restriction base="s:string">
          <s:enumeration value="UserName"/>
          <s:enumeration value="Email"/>
          <s:enumeration value="FirstName"/>
          <s:enumeration value="LastName"/>
          <s:enumeration value="FullName"/>
          <s:enumeration value="IsLockedOut"/>
          <s:enumeration value="IsBuiltIn"/>
          <s:enumeration value="CreationDate"/>
          <s:enumeration value="OwnerName"/>
          <s:enumeration value="Role"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:complexType name="ArrayOfAccountRoles">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="AccountRoles" type="tns:AccountRoles"/>
        </s:sequence>
      </s:complexType>
      <s:element name="FindAccountResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindAccountResult" type="tns:TotalListOfAccountValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfAccountValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfAccountValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfAccountValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="AccountValue" nillable="true" type="tns:AccountValue"/>
        </s:sequence>
      </s:complexType>
      <s:element name="UpdateProfile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="accountId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="themeCode" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="languageCode" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="listSize" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="templateListSize" type="s:int"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateProfileResponse">
        <s:complexType/>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="SetSsoIdSoapIn">
    <wsdl:part name="parameters" element="tns:SetSsoId"/>
  </wsdl:message>
  <wsdl:message name="SetSsoIdSoapOut">
    <wsdl:part name="parameters" element="tns:SetSsoIdResponse"/>
  </wsdl:message>
  <wsdl:message name="SetSsoIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="MigrateAccountToNewSsoAccountSoapIn">
    <wsdl:part name="parameters" element="tns:MigrateAccountToNewSsoAccount"/>
  </wsdl:message>
  <wsdl:message name="MigrateAccountToNewSsoAccountSoapOut">
    <wsdl:part name="parameters" element="tns:MigrateAccountToNewSsoAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="MigrateAccountToNewSsoAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="RequestUserOwnershipTransferSoapIn">
    <wsdl:part name="parameters" element="tns:RequestUserOwnershipTransfer"/>
  </wsdl:message>
  <wsdl:message name="RequestUserOwnershipTransferSoapOut">
    <wsdl:part name="parameters" element="tns:RequestUserOwnershipTransferResponse"/>
  </wsdl:message>
  <wsdl:message name="RequestUserOwnershipTransferCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAccountWithNewPlan"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAccountWithNewPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountWithNewPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountWithNewPlanSoapIn">
    <wsdl:part name="parameters" element="tns:CreateSsoAccountWithNewPlan"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountWithNewPlanSoapOut">
    <wsdl:part name="parameters" element="tns:CreateSsoAccountWithNewPlanResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountWithNewPlanCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAccount"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountSoapIn">
    <wsdl:part name="parameters" element="tns:CreateSsoAccount"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountSoapOut">
    <wsdl:part name="parameters" element="tns:CreateSsoAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateSsoAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetAccountById"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetAccountByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameSoapIn">
    <wsdl:part name="parameters" element="tns:GetAccountByName"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameSoapOut">
    <wsdl:part name="parameters" element="tns:GetAccountByNameResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAccountByNameCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAccountBySsoIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetAccountBySsoId"/>
  </wsdl:message>
  <wsdl:message name="GetAccountBySsoIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetAccountBySsoIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAccountBySsoIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteAccount"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateAccount"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusSoapIn">
    <wsdl:part name="parameters" element="tns:SetAccountStatus"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusSoapOut">
    <wsdl:part name="parameters" element="tns:SetAccountStatusResponse"/>
  </wsdl:message>
  <wsdl:message name="SetAccountStatusCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindAccountSoapIn">
    <wsdl:part name="parameters" element="tns:FindAccount"/>
  </wsdl:message>
  <wsdl:message name="FindAccountSoapOut">
    <wsdl:part name="parameters" element="tns:FindAccountResponse"/>
  </wsdl:message>
  <wsdl:message name="FindAccountCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateProfileSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateProfile"/>
  </wsdl:message>
  <wsdl:message name="UpdateProfileSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateProfileResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateProfileCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:portType name="AccountWebServiceSoap">
    <wsdl:operation name="SetSsoId">
      <wsdl:input message="tns:SetSsoIdSoapIn"/>
      <wsdl:output message="tns:SetSsoIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="MigrateAccountToNewSsoAccount">
      <wsdl:input message="tns:MigrateAccountToNewSsoAccountSoapIn"/>
      <wsdl:output message="tns:MigrateAccountToNewSsoAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="RequestUserOwnershipTransfer">
      <wsdl:input message="tns:RequestUserOwnershipTransferSoapIn"/>
      <wsdl:output message="tns:RequestUserOwnershipTransferSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <wsdl:input message="tns:CreateAccountWithNewPlanSoapIn"/>
      <wsdl:output message="tns:CreateAccountWithNewPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccountWithNewPlan">
      <wsdl:input message="tns:CreateSsoAccountWithNewPlanSoapIn"/>
      <wsdl:output message="tns:CreateSsoAccountWithNewPlanSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateAccount">
      <wsdl:input message="tns:CreateAccountSoapIn"/>
      <wsdl:output message="tns:CreateAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccount">
      <wsdl:input message="tns:CreateSsoAccountSoapIn"/>
      <wsdl:output message="tns:CreateSsoAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <wsdl:input message="tns:GetAccountByIdSoapIn"/>
      <wsdl:output message="tns:GetAccountByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <wsdl:input message="tns:GetAccountByNameSoapIn"/>
      <wsdl:output message="tns:GetAccountByNameSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAccountBySsoId">
      <wsdl:input message="tns:GetAccountBySsoIdSoapIn"/>
      <wsdl:output message="tns:GetAccountBySsoIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <wsdl:input message="tns:DeleteAccountSoapIn"/>
      <wsdl:output message="tns:DeleteAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <wsdl:input message="tns:UpdateAccountSoapIn"/>
      <wsdl:output message="tns:UpdateAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <wsdl:input message="tns:SetAccountStatusSoapIn"/>
      <wsdl:output message="tns:SetAccountStatusSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <wsdl:input message="tns:FindAccountSoapIn"/>
      <wsdl:output message="tns:FindAccountSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateProfile">
      <wsdl:input message="tns:UpdateProfileSoapIn"/>
      <wsdl:output message="tns:UpdateProfileSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="AccountWebServiceSoap" type="tns:AccountWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="SetSsoId">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/SetSsoId" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetSsoIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MigrateAccountToNewSsoAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/MigrateAccountToNewSsoAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:MigrateAccountToNewSsoAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RequestUserOwnershipTransfer">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/RequestUserOwnershipTransfer" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:RequestUserOwnershipTransferCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccountWithNewPlan">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateSsoAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateSsoAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateSsoAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateSsoAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountByName" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAccountByNameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountBySsoId">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountBySsoId" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAccountBySsoIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/DeleteAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/UpdateAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/SetAccountStatus" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetAccountStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/FindAccount" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateProfile">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/UpdateProfile" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateProfileCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="AccountWebServiceSoap12" type="tns:AccountWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="SetSsoId">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/SetSsoId" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetSsoIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MigrateAccountToNewSsoAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/MigrateAccountToNewSsoAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:MigrateAccountToNewSsoAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RequestUserOwnershipTransfer">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/RequestUserOwnershipTransfer" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:RequestUserOwnershipTransferCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccountWithNewPlan">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccountWithNewPlan">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateSsoAccountWithNewPlan" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateSsoAccountWithNewPlanCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSsoAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/CreateSsoAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateSsoAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountById">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAccountByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountByName">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountByName" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAccountByNameCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAccountBySsoId">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/GetAccountBySsoId" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAccountBySsoIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/DeleteAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/UpdateAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAccountStatus">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/SetAccountStatus" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetAccountStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindAccount">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/FindAccount" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindAccountCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateProfile">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/AccountService/UpdateProfile" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateProfileCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="AccountWebService">
    <wsdl:port name="AccountWebServiceSoap" binding="tns:AccountWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="AccountWebServiceSoap12" binding="tns:AccountWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
